﻿;******************************************************************************
;	共通関数ライブラリ
;	20231230
;
;	By NightWotk
;******************************************************************************
Return


;******************************************************************************
; ラッパー関数（文字列処理コマンドの関数化）
;******************************************************************************
;------------------------------------------------------------------------------
; StringGetPos
;------------------------------------------------------------------------------
FxStringGetPos(inputvar, searchtext, lr="", offset=""){
	StringGetPos, OutputVar, InputVar, %searchtext%, %lr%, %offset%
	Return outputvar
}

;------------------------------------------------------------------------------
; StringLeft
;------------------------------------------------------------------------------
FxStringLeft(inputvar, count){
	StringLeft, outputvar, inputvar, %count%
	Return outputvar
}

;------------------------------------------------------------------------------
; StringRight
;------------------------------------------------------------------------------
FxStringRight(inputvar, count){
	StringRight, outputvar, inputvar, %count%
	Return outputvar
}

;------------------------------------------------------------------------------
; StringLen
;------------------------------------------------------------------------------
FxStringLen(inputvar){
	StringLen	, outputvar, inputvar
	Return outputvar
}

;------------------------------------------------------------------------------
; StringLower
;------------------------------------------------------------------------------
FxStringLower(inputvar, t=""){
	StringLower	, outputvar, inputvar, %t%
	Return outputvar
}

;------------------------------------------------------------------------------
; StringUpper
;------------------------------------------------------------------------------
FxStringUpper(inputvar, t=""){
	StringUpper	, outputvar, inputvar, %t%
	Return outputvar
}

;------------------------------------------------------------------------------
; StringMid
;------------------------------------------------------------------------------
FxStringMid(inputvar, startchar, count="", l=""){
	StringMid, outputvar, inputvar, startchar, %count% , %l%
	Return outputvar
}

;------------------------------------------------------------------------------
; StringReplace
;------------------------------------------------------------------------------
FxStringReplace(inputvar, searchtext, replacetext="", replaceall=""){
	StringReplace	, outputvar, inputvar, %searchtext%, %replacetext%, %replaceall%
	Return outputvar
}

;------------------------------------------------------------------------------
; StringTrimLeft
;------------------------------------------------------------------------------
FxStringTrimLeft(inputvar, count){
	StringTrimLeft, outputvar, inputvar, %count%
	Return outputvar
}

;------------------------------------------------------------------------------
; StringTrimRight
;------------------------------------------------------------------------------
FxStringTrimRight(inputvar, count){
	StringTrimRight, outputvar, inputvar, %count%
	Return outputvar
}



;******************************************************************************
; 数値変換（10進、16進変換）
;******************************************************************************
;------------------------------------------------------------------------------
; 10進数を16進数にする。
;------------------------------------------------------------------------------
DEC2HEX(num){
	format := A_FormatInteger
	SetFormat, INTEGER, H
	num	+= 0
	SetFormat, INTEGER, %format%
	Return num
}

;------------------------------------------------------------------------------
; 16進数を10進数にする。
;------------------------------------------------------------------------------
HEX2DEC(num){
	format := A_FormatInteger
	SetFormat, INTEGER, D
	num	+= 0
	SetFormat, INTEGER, %format%
	Return num
}
